%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Version: 1.2.8
Summary: Convenient and transparent local/remote incremental mirror/backup
Name: rdiff-backup12
Release: 1%{?dist}

URL: http://www.nongnu.org/rdiff-backup/
Source: http://savannah.nongnu.org/download/%{name}/rdiff-backup-%{version}.tar.gz
License: GPL
Group: Applications/Archiving
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel >= 2.2, librsync-devel >= 0.9.7

Patch0: alternatives.diff

Requires: python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
#recommended runtime dependencies
Requires: pylibacl, pyxattr
Obsoletes: rdiff-backup > 1.2

Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives

%description
rdiff-backup is a script, written in Python, that backs up one
directory to another and is intended to be run periodically (nightly
from cron for instance). The target directory ends up a copy of the
source directory, but extra reverse diffs are stored in the target
directory, so you can still recover files lost some time ago. The idea
is to combine the best features of a mirror and an incremental
backup. rdiff-backup can also operate in a bandwidth efficient manner
over a pipe, like rsync. Thus you can use rdiff-backup and ssh to
securely back a hard drive up to a remote location, and only the
differences from the previous backup will be transmitted.

%prep
%setup -q -n rdiff-backup-%{version}
%patch0 -p1
mv rdiff_backup rdiff_backup12
mv rdiff-backup rdiff-backup12
mv rdiff-backup.1 rdiff-backup12.1
mv rdiff-backup-statistics rdiff-backup-statistics12
mv rdiff-backup-statistics.1 rdiff-backup-statistics12.1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT
# Produce .pyo files for %ghost directive later
python -Oc 'from compileall import *; compile_dir("'$RPM_BUILD_ROOT/%{python_sitearch}/rdiff_backup12'")'
touch $RPM_BUILD_ROOT%{_bindir}/rdiff-backup
touch $RPM_BUILD_ROOT%{_bindir}/rdiff-backup-statistics
touch $RPM_BUILD_ROOT%{_mandir}/man1/rdiff-backup.1
touch $RPM_BUILD_ROOT%{_mandir}/man1/rdiff-backup-statistics.1

mv $RPM_BUILD_ROOT%{_defaultdocdir}/rdiff-backup-%{version} $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -e %{_bindir}/rdiff-backup -a ! -h %{_bindir}/rdiff-backup ]; then
    rm -f %{_bindir}/rdiff-backup \
        %{_mandir}/man1/rdiff-backup.1* \
        %{_bindir}/rdiff-backup-statistics \
        %{_mandir}/man1/rdiff-backup-statistics.1*
fi

%postun
if [ $1 -eq 0 ]; then
    %{_sbindir}/update-alternatives --remove rdiff-backup %{_bindir}/rdiff-backup12
fi

%post
%{_sbindir}/update-alternatives --install %{_bindir}/rdiff-backup \
    rdiff-backup %{_bindir}/rdiff-backup12 20 \
    --slave %{_mandir}/man1/rdiff-backup.1.gz rdiff-backupman %{_mandir}/man1/rdiff-backup12.1.gz \
    --slave %{_bindir}/rdiff-backup-statistics rdiff-backup-statistics %{_bindir}/rdiff-backup-statistics12 \
    --slave %{_mandir}/man1/rdiff-backup-statistics.1.gz rdiff-backup-statisticsman %{_mandir}/man1/rdiff-backup-statistics12.1.gz

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING FAQ.html README
%ghost %{_bindir}/rdiff-backup
%{_bindir}/rdiff-backup12
%ghost %{_mandir}/man1/rdiff-backup.1*
%{_mandir}/man1/rdiff-backup12*
%ghost %{_bindir}/rdiff-backup-statistics
%{_bindir}/rdiff-backup-statistics12
%ghost %{_mandir}/man1/rdiff-backup-statistics.1*
%{_mandir}/man1/rdiff-backup-statistics12*

%dir %{python_sitearch}/rdiff_backup12
%{python_sitearch}/rdiff_backup12/*.py
%{python_sitearch}/rdiff_backup12/*.pyc
%{python_sitearch}/rdiff_backup12/*.so
%{python_sitearch}/rdiff_backup12/*.pyo

%changelog
* Mon Jul 26 2010 Edward Rudd <rpms@outoforder.cc> 1.2.8-1
- use alternatives so rdiff-backup 1.0 AND 1.2 can co-exist for EPEL
